Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.development.testing
Class LocalBlobstoreServiceTestConfig

    java.lang.Object
      com.google.appengine.tools.development.testing.LocalBlobstoreServiceTestConfig

All Implemented Interfaces:
  LocalServiceTestConfig

    public final class LocalBlobstoreServiceTestConfig

extends java.lang.Object
implements LocalServiceTestConfig

Config for accessing the local blobstore service in tests. Default behavior is to configure the local blobstore to only store data in-memory and not write anything to disk. `tearDown()` wipes out all in-memory state so that the blobstore is empty at the end of every test.

Constructor Summary
`LocalBlobstoreServiceTestConfig()`

Method Summary
`java.lang.String` | `getBackingStoreLocation()`
`static LocalBlobstoreService` | `getLocalBlobstoreService()`
`boolean` | `isNoStorage()`
`LocalBlobstoreServiceTestConfig` | `setBackingStoreLocation(java.lang.String backingStoreLocation)` Sets the location for on-disk storage.
`LocalBlobstoreServiceTestConfig` | `setNoStorage(boolean noStorage)` True to put the blobstore into "memory-only" mode.
`void` | `setUp()` Set up the local service.
`void` | `tearDown()` Tear down the local service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalBlobstoreServiceTestConfig

    public LocalBlobstoreServiceTestConfig()

Method Detail

### isNoStorage

    public boolean isNoStorage()

### setNoStorage

    public LocalBlobstoreServiceTestConfig setNoStorage(boolean noStorage)

  True to put the blobstore into "memory-only" mode.

  Parameters:
    `noStorage` -
  Returns:
    `this` (for chaining)

### getBackingStoreLocation

    public java.lang.String getBackingStoreLocation()

### setBackingStoreLocation

    public LocalBlobstoreServiceTestConfig setBackingStoreLocation(java.lang.String backingStoreLocation)

  Sets the location for on-disk storage.

  Parameters:
    `backingStoreLocation` -
  Returns:
    `this` (for chaining)

### setUp

    public void setUp()

  Description copied from interface: `LocalServiceTestConfig`
  Set up the local service.

  Specified by:
    `setUp` in interface `LocalServiceTestConfig`

### tearDown

    public void tearDown()

  Description copied from interface: `LocalServiceTestConfig`
  Tear down the local service.

  Specified by:
    `tearDown` in interface `LocalServiceTestConfig`

### getLocalBlobstoreService

    public static LocalBlobstoreService getLocalBlobstoreService()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD